package com.yonge.cooleshow.biz.dal.queryInfo;

import io.swagger.annotations.ApiModelProperty;

import com.yonge.cooleshow.biz.dal.enums.FeatureType;
import com.yonge.cooleshow.biz.dal.enums.HeardLevelEnum;
import com.yonge.toolset.base.page.QueryInfo;

/**
 * @Author Joburgess
 * @Date 2021/8/11 0011
 */
public class SysMusicCompareRecordQueryInfo extends QueryInfo {

    private Long userId;

    private Long teacherId;

    private String startTime;

    private String endTime;

    private String musicGroupId;

    private int orderType;

    @ApiModelProperty("排序字段：TRAINDAYS(训练天数);TRAINTIME(训练时长);TRAINNUM(训练次数)")
    private String sortField = "TRAINDAYS";

    private FeatureType featureType;

    private HeardLevelEnum heardLevel;

    private Boolean visitFlag;

    private Integer organId;

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public Boolean getVisitFlag() {
        return visitFlag;
    }

    public void setVisitFlag(Boolean visitFlag) {
        this.visitFlag = visitFlag;
    }

    public FeatureType getFeatureType() {
        return featureType;
    }

    public void setFeatureType(FeatureType featureType) {
        this.featureType = featureType;
    }

    public Long getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Long teacherId) {
        this.teacherId = teacherId;
    }

    public int getOrderType() {
        return orderType;
    }

    public void setOrderType(int orderType) {
        this.orderType = orderType;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public String getSortField() {
        return sortField;
    }

    public void setSortField(String sortField) {
        this.sortField = sortField;
    }

    public HeardLevelEnum getHeardLevel() {
        return heardLevel;
    }

    public void setHeardLevel(HeardLevelEnum heardLevel) {
        this.heardLevel = heardLevel;
    }
}
